SDL_CreateGPUDevice(3)

NAME
SDL_CreateGPUDevice - Creates a GPU context.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GPUDevice * SDL_CreateGPUDevice(
    SDL_GPUShaderFormat format_flags,
    bool debug_mode,
    const char *name);

FUNCTION PARAMETERS

format_flags
    a bitflag indicating which shader formats the app is able to provide.

debug_mode
    enable debug mode properties and validations.

name
    the preferred GPU driver, or NULL to let SDL pick the optimal driver.

RETURN VALUE
( SDL_GPUDevice
 *) Returns a GPU context on success or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGPUShaderFormats(3), •(3), SDL_GetGPUDeviceDriver(3), •(3), SDL_DestroyGPUDevice(3), •(3), SDL_GPUSupportsShaderFormats(3)